## org.gnu.gtk.event
Class TreeViewEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.TreeViewEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeViewEvent
extends GtkEvent

An event represeting action by a `TreeView` widget.

See Also:
  `TreeView`, Serialized Form

Nested Class Summary
`static class` `TreeViewEvent.Type` Type of a TreeModelEvent

Constructor Summary
`TreeViewEvent(java.lang.Object source, TreeViewEvent.Type type)` Creates a new TreeView Event.

Method Summary
`TreeViewColumn` `getTreeColumn()`
`TreeIter` `getTreeIter()`
`TreePath` `getTreePath()`
`boolean` `isExpand()`
`boolean` `isLogical()`
`boolean` `isOfType(TreeViewEvent.Type aType)`
`boolean` `isOpenAll()`
`boolean` `isStartEditing()`
`void` `setExpand(boolean expand)`
`void` `setLogical(boolean logical)`
`void` `setOpenAll(boolean openAll)`
`void` `setStartEditing(boolean startEditing)`
`void` `setTreeColumn(TreeViewColumn treeColumn)`
`void` `setTreeIter(TreeIter iter)`
`void` `setTreePath(TreePath path)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeViewEvent

    public TreeViewEvent(java.lang.Object source,
                         TreeViewEvent.Type type)

  Creates a new TreeView Event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### isOfType

    public boolean isOfType(TreeViewEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### isExpand

    public boolean isExpand()

  Returns:
    Returns the expand.

### setExpand

    public void setExpand(boolean expand)

  Parameters:
    `expand` - The expand to set.

### getTreeIter

    public TreeIter getTreeIter()

  Returns:
    Returns the iter.

### setTreeIter

    public void setTreeIter(TreeIter iter)

  Parameters:
    `iter` - The iter to set.

### isLogical

    public boolean isLogical()

  Returns:
    Returns the logical.

### setLogical

    public void setLogical(boolean logical)

  Parameters:
    `logical` - The logical to set.

### isOpenAll

    public boolean isOpenAll()

  Returns:
    Returns the openAll.

### setOpenAll

    public void setOpenAll(boolean openAll)

  Parameters:
    `openAll` - The openAll to set.

### getTreePath

    public TreePath getTreePath()

  Returns:
    Returns the path.

### setTreePath

    public void setTreePath(TreePath path)

  Parameters:
    `path` - The path to set.

### isStartEditing

    public boolean isStartEditing()

  Returns:
    Returns the startEditing.

### setStartEditing

    public void setStartEditing(boolean startEditing)

  Parameters:
    `startEditing` - The startEditing to set.

### getTreeColumn

    public TreeViewColumn getTreeColumn()

  Returns:
    Returns the treeColumn.

### setTreeColumn

    public void setTreeColumn(TreeViewColumn treeColumn)

  Parameters:
    `treeColumn` - The treeColumn to set.